function c=cellblock(est,stde,ndigits)

formatSpec=['%3.' num2str(ndigits) 'f'];

nf=size(est,1);

c=cell(nf,3);

for j=1:nf
    c{j,1}=['$' num2str(est(j),formatSpec) '$'];
    c{j,3}=['$(' num2str(stde(j),formatSpec) ')$'];

    ts=abs(est(j)/stde(j));

    if ts>=1.645
        st='$^{';
        if ts>=2.576
            st=[st '***'];
        elseif ts>=1.96
            st=[st '**'];
        elseif ts>=1.645
            st=[st '*'];
        end
        st=[st '}$'];
    else
        st=[' '];
    end

    c{j,2}=st;
end
    